Search API
Full-text search endpoint documentation
Updated 1/21/2026
Search API
Powerful full-text search across your knowledge base.
Search Endpoint
GET /v1/search?q=your+query
Query Parameters
| Parameter | Type | Description |
|---|---|---|
| q | string | Search query (required) |
| limit | number | Max results (default: 10) |
| category | string | Filter by category |
| highlight | boolean | Include highlighted snippets |
Response
{
"success": true,
"data": [
{
"id": "abc123",
"slug": "matching-article",
"title": "Matching Article",
"description": "Article that matches query",
"highlight": "...text with <mark>query</mark> highlighted...",
"score": 0.95
}
],
"meta": {
"query": "your query",
"total": 15,
"took": 25
}
}
Advanced Search
Use special operators:
title:keyword- Search in titles only-exclude- Exclude term from results"exact phrase"- Match exact phrasekeyword*- Wildcard matching